# eric4.Helpviewer.AdBlock.AdBlockManager

Module implementing the AdBlock manager.

### Global Attributes

None

### Classes

AdBlockManager | Class implementing the AdBlock manager.

### Functions

None

## AdBlockManager

Class implementing the AdBlock manager.

### Signals

rulesChanged()
  emitted after some rule has changed

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

AdBlockManager | Constructor
__customSubscriptionLocation | Private method to generate the path for custom subscriptions.
__customSubscriptionUrl | Private method to generate the URL for custom subscriptions.
__loadSubscriptions | Private method to load the set of subscriptions.
addSubscription | Public method to add an AdBlock subscription.
close | Public method to close the open search engines manager.
customRules | Public method to get a subscription for custom rules.
isEnabled | Public method to check, if blocking ads is enabled.
load | Public method to load the AdBlock subscriptions.
network | Public method to get a reference to the network block object.
page | Public method to get a reference to the page block object.
removeSubscription | Public method to remove an AdBlock subscription.
save | Public method to save the AdBlock subscriptions.
setEnabled | Public slot to set the enabled state.
showDialog | Public slot to show the AdBlock subscription management dialog.
subscriptions | Public method to get all subscriptions.

### Static Methods

None

#### AdBlockManager (Constructor)

AdBlockManager(parent = None)

Constructor

parent
  reference to the parent object (QObject)

#### AdBlockManager.__customSubscriptionLocation

__customSubscriptionLocation()

Private method to generate the path for custom subscriptions.

Returns:
  URL for custom subscriptions (QUrl)

#### AdBlockManager.__customSubscriptionUrl

__customSubscriptionUrl()

Private method to generate the URL for custom subscriptions.

Returns:
  URL for custom subscriptions (QUrl)

#### AdBlockManager.__loadSubscriptions

__loadSubscriptions()

Private method to load the set of subscriptions.

#### AdBlockManager.addSubscription

addSubscription(subscription)

Public method to add an AdBlock subscription.

subscription
  AdBlock subscription to be added (AdBlockSubscription)

#### AdBlockManager.close

close()

Public method to close the open search engines manager.

#### AdBlockManager.customRules

customRules()

Public method to get a subscription for custom rules.

Returns:
  subscription object for custom rules (AdBlockSubscription)

#### AdBlockManager.isEnabled

isEnabled()

Public method to check, if blocking ads is enabled.

Returns:
  flag indicating the enabled state (boolean)

#### AdBlockManager.load

load()

Public method to load the AdBlock subscriptions.

#### AdBlockManager.network

network()

Public method to get a reference to the network block object.

Returns:
  reference to the network block object (AdBlockNetwork)

#### AdBlockManager.page

page()

Public method to get a reference to the page block object.

Returns:
  reference to the page block object (AdBlockPage)

#### AdBlockManager.removeSubscription

removeSubscription(subscription)

Public method to remove an AdBlock subscription.

subscription
  AdBlock subscription to be removed (AdBlockSubscription)

#### AdBlockManager.save

save()

Public method to save the AdBlock subscriptions.

#### AdBlockManager.setEnabled

setEnabled(enabled)

Public slot to set the enabled state.

enabled
  flag indicating the enabled state (boolean)

#### AdBlockManager.showDialog

showDialog()

Public slot to show the AdBlock subscription management dialog.

#### AdBlockManager.subscriptions

subscriptions()

Public method to get all subscriptions.

Returns:
  list of subscriptions (list of AdBlockSubscription)

Up